apiVersion: v1
kind: ServiceAccount
metadata:
  name: self-destruct
  namespace: scoring
---
apiVersion: v1
items:
  - apiVersion: rbac.authorization.k8s.io/v1
    kind: Role
    metadata:
      name: self-destruct
      namespace: scoring
    rules:
      - apiGroups:
          - ""
        resources:
          - pods
        verbs:
          - delete
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
---
apiVersion: v1
items:
  - apiVersion: rbac.authorization.k8s.io/v1
    kind: RoleBinding
    metadata:
      name: self-destruct
      namespace: scoring
    roleRef:
      apiGroup: rbac.authorization.k8s.io
      kind: Role
      name: self-destruct
    subjects:
      - kind: ServiceAccount
        name: self-destruct
        namespace: scoring
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
